<h1 class="title">Service Detail</h1>

<div *ngIf="{service: serviceData$ | async} as data" class="container">
    <section >
        <ng-container *ngIf="!!data.service; else serviceNotFound">
            <m79-service-form
                [viewOnly]="true"
                [service]="data.service"
            ></m79-service-form>
        </ng-container>
        <ng-template #serviceNotFound>
            <mat-error>No Service Found.</mat-error>
        </ng-template>
    </section> 
    <section>
        <button 
            class="edit-btn"
            mat-raised-button 
            [routerLink]="['/','services', 'edit', data.service?.id]"
            [disabled]="!data.service"    
        >Edit</button>
        <br/>
        <button mat-raised-button [routerLink]="['/','services']">Back</button>
    </section>
</div> 


